# deviceHasTouchSensor

## Description

Activates the touch sensor (fingerprint) feature of a mobile device.

## Input / Parameter

N/A

## Output

N/A

## Callback

### callback

The function to be executed if the touch sensor is activated successfuly.

### errorCallback

The function to be executed if the touch sensor is not activated successfully.

## Video

Coming Soon.

## Example

The user wants to activate the touch sensor feature of their mobile device.

### Steps

| No. | Description                      |                                                                                                                                                         |
| --- | -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1.  | ![](/files/KEXVhmKzniJ5M9gSETLA) | Drag a button to a page in the mobile designer. Select the event `click` for the button and drag the function `deviceHasTouchSensor` to the event flow. |
| 2.  | ![](/files/5dtk5K6p09GZKPzET4gd) | Drag the function to be executed when the touch sensor is activated successfully. In this example, we are using the `infoDialog` function.              |
| 3.  | ![](/files/QVgpXAOvljsaBdZUivBg) | Fill in the parameters of the function.                                                                                                                 |

### Result

When the button is pressed, the infoDialog will appear to confirm that the touch sensor has been activated.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/device/devicehastouchsensor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
